Search documentation of ExStreamClient

# ExStreamClient.Model.VelocityFilterConfigRule (ExStreamClient v0.1.10)

View Source

Schema representing a VelocityFilterConfigRule

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.VelocityFilterConfigRule{
      action: :ban | :remove | :shadow | :flag,
      ban_duration: integer(),
      cascading_action: :ban | :remove | :shadow | :flag,
      cascading_threshold: integer(),
      check_message_context: boolean(),
      fast_spam_threshold: integer(),
      fast_spam_ttl: integer(),
      ip_ban: boolean(),
      probation_period: integer(),
      shadow_ban: boolean(),
      slow_spam_ban_duration: integer() | nil,
      slow_spam_threshold: integer(),
      slow_spam_ttl: integer(),
      url_only: boolean()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()